## rsem 0.4.1

=== DESCRIPTION ===
Package: rsem
Type: Package
Title: Robust Structural Equation Modeling with Missing Data and
        Auxiliary Variables
Version: 0.4.1
Date: 2010-12-27
Author: Ke-Hai Yuan and Zhiyong Zhang
Maintainer: Zhiyong Zhang <zhiyongzhang@nd.edu>
Depends: R (>= 2.7), MASS, lavaan
Description: This package estimates means and covariance matrix of
        multiple variables with missing data using Huber weight and
        then estimates a SEM model using lavaan.
License: GPL-2
URL: http://rpackages.psychstat.org
ZipData: no
LazyLoad: yes
Repository: CRAN
Repository/R-Forge/Project: semdiag
Repository/R-Forge/Revision: 19
Packaged: 2012-08-24 22:20:18 UTC; rforge
Date/Publication: 2012-08-26 16:54:37
