## rsem 0.4.4

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Robust Structural Equation Modeling with Missing Data and
         Auxiliary Variables
-Version: 0.4.3
+Version: 0.4.4
 Date: 2010-12-27
 Author: Ke-Hai Yuan and Zhiyong Zhang
 Maintainer: Zhiyong Zhang <zhiyongzhang@nd.edu>
@@ -16,7 +16,7 @@
 LazyLoad: yes
 Repository: CRAN
 Repository/R-Forge/Project: semdiag
-Repository/R-Forge/Revision: 21
-Repository/R-Forge/DateTimeStamp: 2012-09-18 15:21:37
-Date/Publication: 2012-09-18 20:13:59
-Packaged: 2012-09-18 18:20:16 UTC; rforge
+Repository/R-Forge/Revision: 22
+Repository/R-Forge/DateTimeStamp: 2012-09-27 17:06:32
+Date/Publication: 2012-09-28 14:09:28
+Packaged: 2012-09-27 18:19:42 UTC; rforge
