## rsem 0.5.0

=== DESCRIPTION ===
Package: rsem
Type: Package
Title: Robust Structural Equation Modeling with Missing Data and
        Auxiliary Variables
Version: 0.5.0
Date: 2020-04-21
Author: Ke-Hai Yuan and Zhiyong Zhang
Maintainer: Zhiyong Zhang <zhiyongzhang@nd.edu>
Depends: R (>= 2.7), MASS, lavaan
Description: A robust procedure is implemented to estimate means and covariance matrix of multiple variables with missing data using Huber weight and then to estimate a structural equation model.
License: GPL-2
URL: https://bigdatalab.nd.edu
ZipData: no
LazyLoad: yes
NeedsCompilation: no
Repository: CRAN
Packaged: 2020-04-21 13:27:09 UTC; zzhang4
Date/Publication: 2020-04-21 14:20:02 UTC
