## rsem 0.5.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Robust Structural Equation Modeling with Missing Data and
         Auxiliary Variables
-Version: 0.5.0
-Date: 2020-04-21
+Version: 0.5.1
+Date: 2023-08-26
 Author: Ke-Hai Yuan and Zhiyong Zhang
 Maintainer: Zhiyong Zhang <zhiyongzhang@nd.edu>
 Depends: R (>= 2.7), MASS, lavaan
@@ -14,5 +14,5 @@
 LazyLoad: yes
 NeedsCompilation: no
 Repository: CRAN
-Packaged: 2020-04-21 13:27:09 UTC; zzhang4
-Date/Publication: 2020-04-21 14:20:02 UTC
+Packaged: 2023-08-26 20:08:52 UTC; zzhang4
+Date/Publication: 2023-08-26 20:40:02 UTC
