=== debian/changelog ===
rsem (1.2.31+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 04 Jun 2016 04:40:56 -0700

rsem (1.2.30+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Use upstream's modified samtools-1.3 as that is required for correct
    operation
  * re-enable hardening to match source changes
  * generate manual pages for rsem-bam2wig & rsem-simulate-reads

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 15 May 2016 03:49:04 -0700

rsem (1.2.26+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version.
  * Enable full hardening.
  * Re-introduce bowtie Build-Dep enable builds only on those architectures
    where bowtie is available
    Closes: #803550

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 13 May 2016 20:45:27 +0000

rsem (1.2.26+dfsg-2) unstable; urgency=medium

  * Now compatible with g++-6 (Closes: #811615)
  * Section set to 'extra' due to dependency on bowtie|bowtie2 which are both
    in section 'extra'.

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Sat, 05 Mar 2016 05:27:01 -0800

rsem (1.2.26+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Sun, 31 Jan 2016 03:20:22 -0800

rsem (1.2.23+dfsg-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * New upstream release
  
  [ Andreas Tille ]
  * Build-Depends: bowtie to enable builds only on those architectures
    where bowtie is available
    Closes: #803550

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Thu, 05 Nov 2015 19:28:01 +0100

rsem (1.2.22+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #778578)

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Thu, 27 Aug 2015 13:17:53 -0400
