=== debian/control ===
Source: rsem
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: extra
Build-Depends: debhelper (>= 9),
               zlib1g-dev,
               libncurses5-dev,
               libboost-dev,
               perl,
               python,
               help2man,
               bowtie | bowtie2
# bowtie is a run-time dependency available on only a few systems, not actually
# needed for building but it prevents the creation of uninstallable packages
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/rsem.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/rsem.git
Homepage: http://deweylab.biostat.wisc.edu/rsem/

Package: rsem
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         r-base-core,
         bowtie | bowtie2,
         python
Suggests: r-bioc-ebseq
Description: RNA-Seq by Expectation-Maximization
 RSEM is a software package for estimating gene and isoform expression
 levels from RNA-Seq data. The RSEM package provides an user-friendly
 interface, supports threads for parallel computation of the EM
 algorithm, single-end and paired-end read data, quality scores,
 variable-length reads and RSPD estimation. In addition, it provides
 posterior mean and 95% credibility interval estimates for expression
 levels. For visualization, It can generate BAM and Wiggle files in both
 transcript-coordinate and genomic-coordinate. Genomic-coordinate files
 can be visualized by both UCSC Genome browser and Broad Institute’s
 Integrative Genomics Viewer (IGV). Transcript-coordinate files can be
 visualized by IGV. RSEM also has its own scripts to generate transcript
 read depth plots in pdf format. The unique feature of RSEM is, the read
 depth plots can be stacked, with read depth contributed to unique reads
 shown in black and contributed to multi-reads shown in red. In addition,
 models learned from data can also be visualized. Last but not least,
 RSEM contains a simulator.
