=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

DEBVERS        := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
VERSION        := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- BOOST=/usr/include prefix=debian/tmp
	for prog in convert-sam-for-rsem rsem-calculate-expression \
		rsem-control-fdr rsem-generate-ngvector \
		rsem-plot-transcript-wiggles rsem-prepare-reference \
		rsem-run-ebseq; do pod2man $${prog} debian/$${prog}.1; done
	help2man ./rsem-gff3-to-gtf --no-info --version-string="${VERSION}" \
		--name 'Convert GFF3 files to GTF files.' > \
		debian/rsem-gff3-to-gtf.1
	help2man ./rsem-bam2wig --no-info --version-string="${VERSION}" \
		--name 'Convert BAM files to wiggle files.' > \
		debian/rsem-bam2wig.1
	help2man ./rsem-simulate-reads --no-info --version-string="${VERSION}" \
		--name 'Simulate RNA-Seq data ("reads") for a given model and a RSEM reference transcript collection.' > \
		debian/rsem-simulate-reads.1

override_dh_auto_install:
	find . -maxdepth 1 -type f -perm /u+x | xargs -n 1 -I{} dh_install {} /usr/bin/
	dh_install rsem_perl_utils.pm /usr/share/perl5
	dh_auto_install -- BOOST=/usr/include prefix=debian/tmp

get-orig-source:
	uscan --verbose --force-download --repack --compression xz
